Subject: Re: Story about compiling MidNight Commander 4.1.9
From: [email-masked] (Earnie Boyd)

14 Feb 1998 17:54:29 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

It appears that your configure script contains the \r\n problem.

Get rid of the \r and the configure script will then work.

If your sources have the \r then they will need to be removed also.

How did you unarchive the files?

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

Check out these great gnu-win32 related sites:
ftp://ftp.cygnus.com/pub/gnu-win32/latest/                  (ftp site)
http://www.cygnus.com/pubs/gnupro/                    (Comercial Page)
http://www.cygnus.com/misc/gnu-win32/                   (Project Page)
http://www.cygnus.com/ml/gnu-win32                     (Mail Archives)
http://www.itribe.net/virtunix/winhelp-man-pages/     (HTML Man Pages)
http://www.lexa.ru/sos                               (Sergey Okhapkin)
ftp://www.lexa.ru/pub/domestic/sos/                (Sergey's ftp site)
http://www.fu.is.saga-u.ac.jp/~colin/gcc.html           (Colin Peters)
http://www.xraylith.wisc.edu/~khan/software/gnu-win32/    (Mumit Khan)
http://gnu-win32.paranoia.ru                   (Chuck Bogorad's ports)
ftp://ftp.deninc.com/pub (Den Internet Services - US mirror and ports)
http://www.bestweb.net/~aka/gnu-win32/  (GNU-Win32 Bash Configuration)
http://rcw.home.ml.org/                  (Rob Warner - software ports)
http://www.wenet.net/~garbanzo/gnuwin32/     (more - software portals)
http://www.wenet.net/~garbanzo/gnuwin32/rpm   (Redhat Package Manager)

SEARCH ENGINES WITH gnu-win32 mail archive RELATED INDICIES:
http://www.findmail.com
http://www.search.com

add gnu-win32 or gnuwin32 to the search criteria.

>Date: Fri, 13 Feb 1998 15:47:01 +0200
>From: Andrew Lipnitsky <[email-masked]>
>To: [email-masked]
>Subject: Story about compiling MidNight Commander 4.1.9
>
>Hi !!!
>
>I have gnuwin32 b18 with coolview on WindowsNT 4.0 SP3.
>(of course text=binary)
>
>I have downloaded and installed ncurses-1.9.9e.
>So, the next step is mc-4.1.9.
>
>I am trying : ./configure --program-suffix=.exe
>
>The first problem is that configure can not find some functions.
>
>---------- snipped --- from -----config.log----------------------
>
>gcc -o conftest -g -O conftest.c -lsocket
>C:\TEMP\cc0022271.o: In function `t':
>/usr/src/mc-4.1.9/configure:4513: undefined reference to `socket'
>gcc -o conftest -g -O conftest.c
>C:\TEMP\cc0022471.o: In function `t':
>/usr/src/mc-4.1.9/configure:5118: undefined reference to `socket'
>gcc -o conftest -g -O conftest.c -lbsd
>/gxx/H-i386-cygwin32/lib/gcc-lib/i386-cygwin32/cygnus-2.7.2-970404/../../../../i386-cygwin32/bin/ld.exe:
>cannot open -lbsd: No such file or directory
>gcc -o conftest -g -O conftest.c -linet
>/gxx/H-i386-cygwin32/lib/gcc-lib/i386-cygwin32/cygnus-2.7.2-970404/../../../../i386-cygwin32/bin/ld.exe:
>cannot open -linet: No such file or directory
>gcc -o conftest -g -O conftest.c
>C:\TEMP\cc0022881.o: In function `t':
>/usr/src/mc-4.1.9/configure:5210: undefined reference to 
`gethostbyname'
>
>gcc -o conftest -g -O conftest.c
>C:\TEMP\cc0023131.o: In function `t':
>/usr/src/mc-4.1.9/configure:5301: undefined reference to `socketpair'
>
>------------------------------------
>
>The same problem was cropped up when I am trying to run
>configure script with omniBroker-2.0.2 . In the last case
>this was fatal error.
>I guessed that is due to ld  think 'char gethostbyname();' (see
>configure output below) and 'struct hostent * PASCAL 
gethostbyname(const
>char * name);' ( from Sockets.h -file) are different functions?
>Am I right?
>
>
>---- snipped from omniBroker config.log --------
>
>configure: failed program was:
>#line 2948 "configure"
>#include "confdefs.h"
>/* Override any gcc2 internal prototype to avoid an error.  */
>#ifdef __cplusplus
>extern "C"
>#endif
>/* We use char because int might match the return type of a gcc2
>    builtin and then its argument prototype would still apply.  */
>char gethostbyname();
>
>int main() {
>gethostbyname()
>; return 0; }
>-------------------------------------------------------
>
>How I can avoid this problem?
>
>Thanks in advance.
>
>Andrew Lipnitsky.
>
>
>-
>For help on using this list (especially unsubscribing), send a message 
to
>"[email-masked]" with one line of text: "help".
>

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".